%define	name	xchm
%define version	1.2
%define	release	%mkrel 2

%define	section	Office/Publishing
%define	title	Xchm

%define	Summary	CHM viewer for UNIX

Name:		%name
Version:	%version
Release:	%release
Summary:	%Summary
License:	GPL
Group:		Publishing
URL:		http://xchm.sourceforge.net
Source:		%name-%version.tar.bz2
Source1:	%name-%version-doc.tar.bz2
Source2:	%name-16.png
Source3:	%name-32.png
Source4:	%name-48.png
BuildRequires:	libchm-devel
BuildRequires:	libtiff
BuildRequires:	wxGTK-devel >= 2.6
BuildRequires:	ghostscript
Buildrequires:	tetex-latex
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
xCHM - the CHM viewer for UNIX

%prep
%setup -q
%setup -q -a 1 

%build
%configure --with-wx-config=%{_bindir}/wx-config-ansi
%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}
%__install -m 644 %SOURCE2 %buildroot%_miconsdir/%name.png
%__install -m 644 %SOURCE3 %buildroot%_iconsdir/%name.png
%__install -m 644 %SOURCE4 %buildroot%_liconsdir/%name.png

cat > %buildroot%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
needs="x11"\
icon="%{name}.png"\
section="%section"\
title="%title"\
longtitle="%Summary"
EOF

(
cd %name-%version-doc/latex/
make
)

# Doc are install elsewhere
rm -fr %buildroot/%_datadir/doc

%find_lang %name

%clean
rm -fr $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%doc %name-%version-doc/html
%doc %name-%version-doc/latex/*.dvi
%_bindir/%name
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_datadir/pixmaps/%{name}*.xpm

%changelog
* Mon Sep 12 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.2-2mdk
- rebuild against new chmlib

* Mon Aug 29 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.2-1mdk
- 1.2

* Sun Aug 28 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.1-1mdk
- 1.1

* Sat Jul 23 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.0-2mdk
- change the menu section and group

* Tue Jun 7 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.0-1mdk
- 1.0
- build with wxGTK 2.6
- removed non-mdk entryes from changelog

* Mon Feb 21 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.8-1mdk
- 0.9.8

* Fri Dec 24 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.7-1mdk
- 0.9.7
- build with wxGTK 2.5, adjust BuildRequires

* Mon Oct 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.6-1mdk
- 0.9.6
- fix menu entry
 
* Wed Jul 07 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.2-1mdk
- 0.9.2

* Wed Jun 16 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.1-2mdk
- macroszification and some spec fixes
- fixed menu section and summary
- rebuild with new libstdc++

* Mon Apr 05 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.1-1mdk
- 0.9.1
 
* Fri Jan 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.11-1mdk
- 0.8.11

* Tue Jan  6 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.8.10-1mdk
- 0.8.10

* Sun Dec 07 2003 Michael Scherer <misc@mandrake.org> 0.8.9-1mdk 
- 0.8.9

* Mon Nov 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.8-1mdk
- 0.8.8

* Tue Oct 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.7-1mdk
- 0.8.7
- add %%clean section

* Tue Oct 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.6-1mdk
- 0.8.6

* Thu Oct 02 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.4-1mdk
- 0.8.4

* Sun Sep 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.3-1mdk
- Mdk spec from alt rpm
